Use of USB webcam disconnects wireless USB adaptor when launched

Reported by ybaruss on 2010-09-25
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

$ lsb_release -rd
Description: Ubuntu 10.04.1 LTS
Also confirmed on:
Opensuse 11.2, Kubuntu 9.10 and Kubuntu 10.04 and live cd Ubuntu 10.10

Original Report:
When launching cheese, the webcam of my laptop is not started, cheese display stays balck and the USB wireless adapter is being disconnected. The only way to get back wireless connection is to restart Linux.

Sum-Up:
Often reported against webcam software or cameramonitor this bug seems to be linked with driver uvcvideo. It also seem to be related to a kernel regression from 2.6.30.

$ lsusb
Bus 001 Device 004: ID 0bda:8197 Realtek Semiconductor Corp. RTL8187B Wireless Adapter
Bus 001 Device 003: ID 04f2:b008 Chicony Electronics Co., Ltd USB 2.0 Camera

Also with:
Bus 001 Device 003: ID 148f:2573 Ralink Technology, Corp. RT2501USB Wireless Adapter
Bus 001 Device 004: ID 04f2:b022 Chicony Electronics Co., Ltd Gateway USB 2.0 Webcam

or:
Bus 001 Device 004: ID 04f2:b027 Chicony Electronics Co., Ltd Gateway USB 2.0 Webcam
Bus 001 Device 002: ID 050d:705a Belkin Components F5D7050A Wireless Adapter

May be related with Bug #575000
May be related with cameramonitor issue Bug #599185
May be related with camorama issue Bug #224821
---
Architecture: amd64
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: TOSHIBA Satellite P300D
NonfreeKernelModules: fglrx
---

[ 20.240758] uvcvideo: Found UVC 1.00 device Chicony USB 2.0 Camera (04f2:b008)
[ 20.338460] input: Chicony USB 2.0 Camera as /devices/pci0000:00/0000:00:13.5/usb1/1-3/1-3:1.0/input/input7
[ 20.338599] usbcore: registered new interface driver uvcvideo
[ 20.339341] USB Video Class driver (v0.1.0)

---
See comment #15 for event reported when problem occurs, messages then mainly related to wlan.
[ 717.620444] ehci_hcd 0000:00:13.5: force halt; handhake ffffc90000676424 00004000 00000000 -> -110
[ 720.110145] rtl8187: wireless radio switch turned off
[ 720.140161] wlan0: deauthenticating from 00:04:c8:7e:00:e7 by local choice (reason=3)
[857]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

ybaruss (yabruss) wrote : Lspci.txt

apport information

ybaruss (yabruss) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

ybaruss (yabruss) wrote : UdevDb.txt

apport information

apport information

apport information

Hard to believe : when I run apport-collect -p cheese 647501 then cheese works fine in debug mode, camera monitor reports correct webcam starting and wireless connection is still fine !! And I can see my face ;o)

But just after that: re-launching cheese with normal icon leads to same problem and wireless disconnection and need to restart Linux.

Strange indeed

ybaruss (yabruss) wrote :

This problem also occurs when launching gstreamer-properties

Here is the system log when I launch it:

Sep 28 18:57:06 ybr-laptop kernel: [ 720.110145] rtl8187: wireless radio switch turned off
Sep 28 18:57:03 ybr-laptop kernel: [ 717.620444] ehci_hcd 0000:00:13.5: force halt; handhake ffffc90000676424 00004000 00000000 -> -110
Sep 28 18:57:06 ybr-laptop kernel: [ 720.110145] rtl8187: wireless radio switch turned off
Sep 28 18:57:06 ybr-laptop kernel: [ 720.140161] wlan0: deauthenticating from 00:04:c8:7e:00:e7 by local choice (reason=3)
Sep 28 18:57:06 ybr-laptop kernel: [ 720.140161] wlan0: deauthenticating from 00:04:c8:7e:00:e7 by local choice (reason=3)
Sep 28 18:57:06 ybr-laptop NetworkManager: <info> WiFi now disabled by radio killswitch
Sep 28 18:57:06 ybr-laptop NetworkManager: <info> (wlan0): device state change: 8 -> 2 (reason 0)
Sep 28 18:57:06 ybr-laptop NetworkManager: <info> (wlan0): deactivating device (reason: 0).
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Interface wlan0.IPv4 no longer relevant for mDNS.
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.14.
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Withdrawing address record for fe41::216:44ff:fcc1:e20c on wlan0.
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Withdrawing address record for 192.168.1.14 on wlan0.
Sep 28 18:57:06 ybr-laptop wpa_supplicant[857]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Joining mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.14.
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: New relevant interface wlan0.IPv4 for mDNS.
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Registering new address record for 192.168.1.14 on wlan0.IPv4.
Sep 28 18:57:06 ybr-laptop wpa_supplicant[857]: Failed to initiate AP scan.
Sep 28 18:57:06 ybr-laptop NetworkManager: <info> (wlan0): canceled DHCP transaction, dhcp client pid 1505
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Withdrawing address record for 192.168.1.14 on wlan0.
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.14.
Sep 28 18:57:06 ybr-laptop avahi-daemon[728]: Interface wlan0.IPv4 no longer relevant for mDNS.

Any help to understand what happens ?

Vish (vish) wrote :

Attaching reporter's extracted CheeseDebug.log.

device.c:632:cheese_camera_device_get_caps_for_format: Got EMPTY

The webcam seems to be connecting and disconnecting, [and the reporter also mentions the same is noticed even with gstreamer-properties] this is a not a cheese error. But rather a Kernel driver error.

Switching task to kernel instead.

@ybaruss , The error you pasted in comment 15 is not related to webcam, that mentions wireless logs , etc..

affects: cheese (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kj-triage
ybaruss (yabruss) on 2010-10-19
description: updated
summary: - Cheese disconnects wireles USB adaptor when launched
+ Use of USB webcam disconnects wireless USB adaptor when launched
ybaruss (yabruss) on 2010-10-19
description: updated
Grant B (lymera1n) on 2010-10-20
Changed in linux (Ubuntu):
status: New → Confirmed
Brad Figg (brad-figg) on 2010-12-04
tags: added: acpi-apic
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
importance: Unknown → Medium
Changed in linux:
status: Confirmed → Incomplete
Changed in linux:
status: Incomplete → Invalid
expos (exmons) wrote :

I recently installed kubuntu 11.04, and this bug is still there. The last version that worked was 9.04.

asmerm (asmerovski) wrote :

I can confirm that latest ubuntu/kubuntu version that was OK with this issue was 9.04.
I also have Chicony integrated USB webcam on toshiba satellite notebook.
This issue is present on my notebook on all ubuntu/kubuntu releases starting with 9.10 (even on precise 12.04 amd64 daily build from 25.01.2011). I am currently using amd64 platform of kubuntu 11.10.
Beside crashing wireless connection, it disconnects all USB external disks. Only reboot helps. This disconnection on USB external disks can be very dangerous and lead to loss of data, so I think that this bug is not medium. If you need any more info, I can provide logs and system info. I can also test patch if available.

daniele3 (3daniele03) wrote :

I had been experiencing the same bug for long time and I recently tried to change the port where the wifi adaptor is connected. This apparently fixed the bug. I hope this can be of some help.

asmerm (asmerovski) wrote :

How do you change the port where the wifi adaptor is connected on laptop? My wireless card and camera are on laptop and connected via internal USB bus.

daniele3 (3daniele03) wrote :

Indeed, I had this problem on a desktop and I could physically change the bus where the wifi connector was inserted.

tags: added: karmic lucid maverick needs-upstream-testing

ybaruss, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.